Bug 472027 - Review Request: onboard - Simple on-screen Keyboard
Review Request: onboard - Simple on-screen Keyboard
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 06:15 EST by Fabian Affolter
Modified: 2009-01-14 22:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 22:04:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
modified onboard.desktop (291 bytes, application/octet-stream)
2008-12-08 04:23 EST, Parag AN(पराग)
no flags Details
modified onboard-settings.desktop (313 bytes, application/octet-stream)
2008-12-08 04:24 EST, Parag AN(पराग)
no flags Details
modified onboard.spec (2.03 KB, application/octet-stream)
2008-12-08 04:26 EST, Parag AN(पराग)
no flags Details
modified onboard.spec (2.04 KB, application/octet-stream)
2008-12-08 04:35 EST, Parag AN(पराग)
no flags Details

  None (edit)
Description Fabian Affolter 2008-11-18 06:15:53 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/onboard.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/onboard-0.91.2-1.fc9.src.rpm

Project URL: https://launchpad.net/onboard/

Description:
An on-screen keyboard useful on tablet PCs or for mobility impaired users.

Koji scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=937698

rpmlint output:
[fab@laptop024 noarch]$ rpmlint onb*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint onb*
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

This package does not contain translation at the moment because I'm not able to integrate those.
Comment 1 Parag AN(पराग) 2008-11-18 23:39:09 EST
Just to note here that this package was previously submitted in bug447367
Comment 2 Parag AN(पराग) 2008-11-19 01:26:31 EST
Suggestion:-
   1) Good to modify onboard.desktop file line from 
Categories=GNOME;GTK;Accessibility;X-GNOME-PersonalSettings;
to
Categories=GNOME;GTK;Utility;Accessibility;

   This will make sure we have all onboard/onscreen virtual keyboards in same category

   2) This package built successfully by removing
       BuildRequires:  python-setuptools-devel
       BuildRequires:  gettext

   3) I think you don't need Requires: gnome-python2 not sure about that though.
Comment 3 Parag AN(पराग) 2008-11-26 00:06:35 EST
ping
Comment 4 Fabian Affolter 2008-12-01 06:54:04 EST
I'm working on this but it will take some more days because I'm not able to fix the .desktop file at the moment. 

Anyway, thanks for your inputs.
Comment 5 Parag AN(पराग) 2008-12-08 04:23:38 EST
Created attachment 326105 [details]
modified onboard.desktop
Comment 6 Parag AN(पराग) 2008-12-08 04:24:55 EST
Created attachment 326106 [details]
modified onboard-settings.desktop
Comment 7 Parag AN(पराग) 2008-12-08 04:26:27 EST
Created attachment 326107 [details]
modified onboard.spec
Comment 8 Parag AN(पराग) 2008-12-08 04:35:38 EST
Created attachment 326108 [details]
modified onboard.spec
Comment 9 Fabian Affolter 2008-12-14 07:56:48 EST
(In reply to comment #2)
> Suggestion:-
>    1) Good to modify onboard.desktop file line from 
> Categories=GNOME;GTK;Accessibility;X-GNOME-PersonalSettings;
> to
> Categories=GNOME;GTK;Utility;Accessibility;
> 
>    This will make sure we have all onboard/onscreen virtual keyboards in same
> category

fixed.  For now I'm OK with the usage of your modified files.  In the trunk of onBoard are already .desktop files which will be shipped with the next release, I guess.

>    2) This package built successfully by removing
>        BuildRequires:  python-setuptools-devel

This is needed for the generation of the egg.  It's mentioned in the guidelines

>        BuildRequires:  gettext

I will leave it in place because as soon I'm able to integrate the translations it's needed.
 
>    3) I think you don't need Requires: gnome-python2 not sure about that
> though.

removed

Here are the new files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/onboard.spec
SRPM URL:
http://fab.fedorapeople.org/packages/SRPMS/onboard-0.91.2-3.fc9.src.rpm
Comment 10 Parag AN(पराग) 2008-12-15 00:25:52 EST
+ is OK
- Needs work

Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=998755
- rpmlint is silent for RPM. But Not for SRPM.
onboard.src: W: strange-permission onboard.spec 0666
==> easy to fix.

+ source files match upstream.
6e0dde122c50dcdfc27fe32b714edf3f  onboard-0.91.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop files installed correctly.
+ Followed python guidelines.
+ GUI app.

Suggestions:-
  You can ask upstream to include/modify .desktop files as used in this package.

APPROVED.
Comment 11 Fabian Affolter 2008-12-15 04:17:35 EST
Many thanks for the review.  The .desktop files are already present in the trunk of the upstream VCS.
Comment 12 Fabian Affolter 2008-12-15 04:18:57 EST
New Package CVS Request
=======================
Package Name: onboard
Short Description: Simple on-screen Keyboard
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 13 Parag AN(पराग) 2008-12-15 04:31:46 EST
(In reply to comment #11)
> Many thanks for the review.  The .desktop files are already present in the
> trunk of the upstream VCS.

you welcome. Here I mean upstream .desktop files are different than Fedora .desktop files now. So if you drop these .desktop files in next update for new upstream release in spec file then existing .desktop files in fedora will get overwritten.

see comment#2 suggestion 1.
Comment 14 Fabian Affolter 2008-12-15 04:39:21 EST
Now, I get the point. I will get in touch with upstream to see if they are kind enough to change the .desktop files to our needs.
Comment 15 Parag AN(पराग) 2008-12-15 04:43:09 EST
Thanks.
Comment 16 Dennis Gilmore 2008-12-15 15:40:23 EST
CVS Done
Comment 17 Fedora Update System 2008-12-15 17:44:08 EST
onboard-0.91.2-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/onboard-0.91.2-3.fc9
Comment 18 Fedora Update System 2008-12-15 17:44:11 EST
onboard-0.91.2-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/onboard-0.91.2-3.fc10
Comment 19 Fedora Update System 2008-12-21 03:35:14 EST
onboard-0.91.2-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update onboard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11426
Comment 20 Fedora Update System 2008-12-21 03:39:45 EST
onboard-0.91.2-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update onboard'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11448
Comment 21 Fedora Update System 2009-01-14 22:04:45 EST
onboard-0.91.2-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-01-14 22:10:04 EST
onboard-0.91.2-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.